# $Revision: 1.14 $, $Date: 2004/05/06 18:21:32 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	XML
%define		pnam	SAX-Machines
Summary:	XML::SAX::Machines Perl module
Summary(cs):	Modul XML::SAX::Machines pro Perl
Summary(da):	Perlmodul XML::SAX::Machines
Summary(de):	XML::SAX::Machines Perl Modul
Summary(es):	Mdulo de Perl XML::SAX::Machines
Summary(fr):	Module Perl XML::SAX::Machines
Summary(it):	Modulo di Perl XML::SAX::Machines
Summary(ja):	XML::SAX::Machines Perl ⥸塼
Summary(ko):	XML::SAX::Machines  
Summary(nb):	Perlmodul XML::SAX::Machines
Summary(pl):	Modu Perla XML::SAX::Machines
Summary(pt):	Mdulo de Perl XML::SAX::Machines
Summary(pt_BR):	Mdulo Perl XML::SAX::Machines
Summary(ru):	  Perl XML::SAX::Machines
Summary(sv):	XML::SAX::Machines Perlmodul
Summary(uk):	  Perl XML::SAX::Machines
Summary(zh_CN):	XML::SAX::Machines Perl ģ
Name:		perl-XML-SAX-Machines
Version:	0.41
Release:	1
Epoch:		1
License:	Artistic, GPL or BSD
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	b91467e31690ce1a53c9d6895879ad21
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-XML-SAX >= 0.05
BuildRequires:	perl(XML::SAX::Base) >= 1.02
# doc say 0.4100001, so maybe too much, but safer
BuildRequires:	perl-XML-SAX-Writer >= 0.42
BuildRequires:	rpm-perlprov >= 4.1-13
%endif
Requires:	perl-XML-SAX >= 0.05
Requires:	perl(XML::SAX::Base) >= 1.02
# as above...
Requires:	perl-XML-SAX-Writer >= 0.42
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML::SAX::Machines is a collection of APIs that allow complex SAX
machines to be constructed without a huge amount of extra typing.

%description -l pl
XML::SAX::Machines to zestaw API pozwalajcy na konstruowanie
zoonych konstrukcji SAX bez duej iloci nadmiarowego kodu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	INSTALLSITELIB=$RPM_BUILD_ROOT%{perl_vendorlib}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README TODO
%{perl_vendorlib}/XML/Filter/*.pm
%{perl_vendorlib}/XML/SAX/*.pm
%{perl_vendorlib}/XML/SAX/Machines
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-XML-SAX-Machines.spec,v $
Revision 1.14  2004/05/06 18:21:32  ankry
- fixed perl-devel BR

Revision 1.13  2004/04/27 15:26:30  ankry
- new bconds

Revision 1.12  2004/03/28 11:39:54  adamg
- updated to 0.41

Revision 1.11  2004/02/18 16:27:03  qboosh
- s/no/nb/ in Summary langs

Revision 1.10  2003/08/18 08:09:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:25:11  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:43  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/09 21:45:56  radek
- now it builds (*kludge warning*)

Revision 1.5  2003/03/02 16:21:41  radek
- updated for perl-5.8; release 2, _untested_

Revision 1.4  2003/02/25 00:43:22  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:39:15  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/28 23:18:13  ankry
- added translations
- fix BRs, made them conditional
- version 0.4, epoch 1

Revision 1.1  2002/08/04 19:23:52  qboosh
- new

